Subject: [openpgp] I-D Action: draft-ietf-openpgp-crypto-refresh-05.txt

From: [email-masked]
Date: Mon, 07 Mar 2022 13:26:46 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Open Specification for Pretty Good Privacy WG of the IETF.

        Title           : OpenPGP Message Format
        Authors         : Werner Koch
                          Paul Wouters
	Filename        : draft-ietf-openpgp-crypto-refresh-05.txt
	Pages           : 151
	Date            : 2022-03-07

Abstract:
   This document specifies the message formats used in OpenPGP.  OpenPGP
   provides encryption with public-key or symmetric cryptographic
   algorithms, digital signatures, compression and key management.

   This document is maintained in order to publish all necessary
   information needed to develop interoperable applications based on the
   OpenPGP format.  It is not a step-by-step cookbook for writing an
   application.  It describes only the format and methods needed to
   read, check, generate, and write conforming packets crossing any
   network.  It does not deal with storage and implementation questions.
   It does, however, discuss implementation issues necessary to avoid
   security flaws.

   This document obsoletes: RFC 4880 (OpenPGP), RFC 5581 (Camellia in
   OpenPGP) and RFC 6637 (Elliptic Curves in OpenPGP).

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-openpgp-crypto-refresh/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-openpgp-crypto-refresh-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-openpgp-crypto-refresh-05

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 8 Mar 2022 01:29:03 +0000

Hi all,

This draft is the current output from the design team that's
been meeting weekly to try progress things. That work isn't
yet complete but it's getting there - it seems we're nearly
at a point where the in-scope issues and merge-requests [1]
are down to small numbers. There are some of those that we
plan to discuss with the broader WG during IETF-113 and on
the list. (I'll post a draft agenda for 113 shortly.)

The design team reckon that this draft is one that is suited
for implementers to try out, so if you are likely to want to
implement the crypto-refresh output from the WG, this version
is a good one in which to invest some coding effort to see
how  much the DT has gotten right and wrong so far from your
point of view. (Design team members with implementations are
also doing that at the moment.)

IOW - we'd really love to get implementer feedback on this
draft that we can incorporate into the design team's work
and into a hopefully not-too-distant working group last
call.

Cheers,
S.

[1] https://gitlab.com/openpgp-wg/rfc4880bis/

On 07/03/2022 21:26, [email-masked] wrote:
> _______________________________________________
> openpgp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/openpgp